Create outgoing transfer batch
Creates a batch of outgoing transfers to be processed by the Bre-B system.
To create a batch of outgoing transfers, you must provide either a target or a query for each transfer.
If a transfer has a validation error, it will be returned as a rejected transfer without affecting the other transfers or the batch processing.
Authorization
oauth outgoing_transfersIn: header
Scope: outgoing_transfers
Request Body
application/json
Batch of outgoing transfers
TypeScript Definitions
Use the request body type in TypeScript.
Optional description for the outgoing transfer batch
"Daily transfers batch"The ID of the source account for all transfers in this batch
^[A-Za-z]{2,7}_[\w-]{22}$"bbtacc_5tgliBmzjZ6mpQPRbQjfKj"Array of outgoing transfers to be processed in this batch
1 <= items <= 1000Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://breb-participant.sandbox.mono.la/api/v1/outgoing_transfers" \ -H "Content-Type: application/json" \ -d '{ "tenant_account_id": "bbtacc_5tgliBmzjZ6mpQPRbQjfKj", "transfers": [ { "external_id": "transfer_001", "target_id": "bbtgt_5tgliBmzjZ6mpQPRbQjfKj" } ] }'{
"accepted_transfers": [
{
"amount": {
"amount": 100000000,
"currency": "COP"
},
"description": "Payment to merchant",
"end_to_end_id": "20250928900406150CRB000000000000066",
"external_id": "transfer_001",
"id": "bbot_5tgliBmzjZ6mpQPRbQjfKj",
"inserted_at": "2022-01-01T01:00:00Z",
"metadata": {
"id": 3,
"reference": 123
},
"payer_name": "ACME SAS",
"payment_id": "PAY123456789",
"resolution_request_id": "bbtgr_5tgliBmzjZ6mpQPRbQjfKj",
"state": "created",
"state_reason": null,
"tenant_account_id": "bbtacc_5tgliBmzjZ6mpQPRbQjfKj",
"timemarks": {
"T110": "2024-09-29T15:30:00.000",
"T120": "2024-09-29T15:30:00.000"
},
"updated_at": "2022-01-01T01:00:00Z",
"expected_creditor": {
"document_number": "1234567890",
"document_type": "CC"
},
"query": {
"format": "plain_key",
"value": "1234567890"
},
"target": {
"creditor": {
"document_number": "1234567890",
"document_type": "CC",
"full_name": "Juan Pérez",
"type": "natural"
},
"creditor_account": {
"currency_code": "COP",
"number": "1234567890",
"type": "savings_account"
},
"id": "bbtgt_5tgliBmzjZ6mpQPRbQjfKj",
"key_type": "identification",
"key_value": "1234567890",
"participant_nit": "900123456",
"payment_id": "string",
"resolution_type": "plain_key",
"spbvi": "CRB",
"transaction_amount": {
"amount": 100000000,
"currency": "COP"
}
}
}
],
"description": "Daily transfers batch",
"duplicated_transfers": [
{
"amount": {
"amount": 100000000,
"currency": "COP"
},
"description": "Payment to merchant",
"end_to_end_id": "20250928900406150CRB000000000000066",
"external_id": "transfer_001",
"id": "bbot_5tgliBmzjZ6mpQPRbQjfKj",
"inserted_at": "2022-01-01T01:00:00Z",
"metadata": {
"id": 3,
"reference": 123
},
"payer_name": "ACME SAS",
"payment_id": "PAY123456789",
"resolution_request_id": "bbtgr_5tgliBmzjZ6mpQPRbQjfKj",
"state": "created",
"state_reason": null,
"tenant_account_id": "bbtacc_5tgliBmzjZ6mpQPRbQjfKj",
"timemarks": {
"T110": "2024-09-29T15:30:00.000",
"T120": "2024-09-29T15:30:00.000"
},
"updated_at": "2022-01-01T01:00:00Z"
}
],
"id": "bbotb_5tgliBmzjZ6mpQPRbQjfKj",
"inserted_at": "2022-01-01T01:00:00Z",
"rejected_transfers": [
{
"error_code": "amount_exceeds_max_limit",
"external_id": "transfer_invalid_001",
"message": "Transfer amount 100000000 exceeds maximum allowed limit of 50000000"
}
],
"state": "created",
"updated_at": "2022-01-01T01:00:00Z"
}{
"code": "400 Bad Request",
"errors": [
{
"error_code": "unknown",
"message": "Unknown error occurred",
"path": null,
"url": null
}
],
"id": "log_7MkWaFqvfosB8fzHhb1Eql",
"message": "Malformed request"
}{
"code": "401 Unauthorized",
"errors": [
{
"error_code": "missing_authorization_header",
"message": "`Authorization` header is missing.",
"path": null,
"url": null
}
],
"id": "log_7MkWaFqvfosB8fzHhb1Eql",
"message": "Authorization header is missing or invalid."
}{
"code": "403 Forbidden",
"errors": [
{
"error_code": "not_authorized",
"message": "Not authorized to have access to this resource.",
"path": null,
"url": null
}
],
"id": "log_7MkWaFqvfosB8fzHhb1Eql",
"message": "Not authorized to have access to this resource"
}{
"code": "404 Not Found",
"errors": [
{
"error_code": "tenant_account_not_found",
"message": "Tenant account not found",
"path": null,
"url": null
}
],
"id": "log_7MkWaFqvfosB8fzHhb1Eql",
"message": "Resource not defined"
}{
"code": "429 Too Many Requests",
"errors": [
{
"error_code": "rate_limit_exceeded",
"message": "Too many requests. Retry after the indicated time.",
"path": null,
"url": null
}
],
"id": "log_7MkWaFqvfosB8fzHhb1Eql",
"message": "Too many requests"
}{
"code": "500 Internal Server Error",
"errors": [
{
"error_code": "internal_error",
"message": "An unexpected error occurred",
"path": null,
"url": null
}
],
"id": "log_7MkWaFqvfosB8fzHhb1Eql",
"message": "Something went wrong on the Server"
}{
"code": "503 Service Unavailable",
"errors": [
{
"error_code": "service_is_unavailable",
"message": "The service is unavailable, Please try again later",
"path": null,
"url": null
}
],
"id": "log_7MkWaFqvfosB8fzHhb1Eql",
"message": "Service unavailable"
}